Name:           oreon-system-manager
Version:        1.0.0
Release:        1%{?dist}
Summary:        Comprehensive Linux system management tool
License:        GPL-3.0-or-later
URL:            https://github.com/oreonproject/osm-qt
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qttools-devel
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils

Requires:       qt6-qtbase
Requires:       qt6-qttools
Requires:       dnf
Requires:       flatpak
Requires:       podman-docker
Requires:       distrobox

%description
Oreon System Manager is an all-in-one system manager for managing DNF packages,
repositories, containers with distrobox and docker, and pro audio configuration
all in a single Qt interface. This tool provides a comprehensive solution for
Linux system administration tasks.

%prep
%setup -c

%build
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=%{_prefix}
%cmake_build

%install
%cmake_install

# Install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 644 %{_builddir}/%{name}-%{version}/osm.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/oreon-system-manager.svg

# Fix desktop file categories and actions
sed -i 's/Categories=System;Settings;PackageManager;/Categories=System;/' %{buildroot}%{_datadir}/applications/oreon-system-manager.desktop
sed -i 's/Actions=/Actions=preferences;system-info;/' %{buildroot}%{_datadir}/applications/oreon-system-manager.desktop

# Validate desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/oreon-system-manager.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/oreon-system-manager
%{_bindir}/oreon-system-manager-1.0.0
%{_datadir}/applications/oreon-system-manager.desktop
%{_datadir}/icons/hicolor/scalable/apps/oreon-system-manager.svg

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Fri Jul 4 2025 Brandon Lester <blester@boostyconnect.com> - 1.0.0-1
- Initial package release
